/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package frontazasobnik;

/**
 *
 * @author balikm1
 */
public class Zbozi {
    private String nazev;
    private double cena;

    public Zbozi(String nazev, double cena) {
        this.nazev = nazev;
        this.cena = cena;
    }

    public double getCena() {
        return cena;
    }

    public void setCena(double cena) {
        this.cena = cena;
    }

    public String getNazev() {
        return nazev;
    }

    public void setNazev(String nazev) {
        this.nazev = nazev;
    }

    @Override
    public boolean equals(Object obj) {
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Zbozi other = (Zbozi) obj;
        if ((this.nazev == null) ? (other.nazev != null) : !this.nazev.equals(other.nazev)) {
            return false;
        }
        if (Double.doubleToLongBits(this.cena) != Double.doubleToLongBits(other.cena)) {
            return false;
        }
        return true;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 37 * hash + (this.nazev != null ? this.nazev.hashCode() : 0);
        hash = 37 * hash + (int) (Double.doubleToLongBits(this.cena) ^ (Double.doubleToLongBits(this.cena) >>> 32));
        return hash;
    }

    @Override
    public String toString() {
        return "Zbozi{" + "nazev=" + nazev + ", cena=" + cena + '}';
    }
}
